JobSub - Bug #6543

why doesn't a kcron kerberos identity work?
06/23/2014 11:07 AM - Joe Boyd

Status: Closed Start date: 06/23/2014
Priority: Normal Due date:

Assignee: Dennis Box % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Occurs In:

Description

| can in fact use a kcron identity to get a voms ticket:

*% * * * * * * * * *

-bash-3.2$ voms-proxy-info -all

subject :/DC=gov/DC=fnal/O=Fermilab/OU=Robots/CN=novagpvm01.fnal.gov/CN=cron/CN=Joe B. Boyd/CN=UID:boyd/CN=proxy
issuer :/DC=gov/DC=fnal/O=Fermilab/OU=Robots/CN=novagpvm01.fnal.gov/CN=cron/CN=Joe B. Boyd/CN=UID:boyd

identity : /DC=gov/DC=fnal/O=Fermilab/OU=Robots/CN=novagpvm01.fnal.gov/CN=cron/CN=Joe B. Boyd/CN=UID:boyd

type : proxy

strength : 1024 bits

path  :/tmp/x509up_u4395

timeleft : 11:59:53

key usage : Digital Signature, Key Encipherment

-bash-3.2$ voms-proxy-init -noregen -ignorewarn -valid 168:0 -bits 1024 -voms fermilab:/fermilab/nova/Role=analysis

Your identity: /DC=gov/DC=fnal/O=Fermilab/OU=Robots/CN=novagpvm01.fnal.gov/CN=cron/CN=Joe B.
Boyd/CN=UID:boyd/CN=proxy

Contacting voms1.fnal.gov:15001 [/DC=com/DC=DigiCert-Grid/O=0pen Science Grid/OU=Services/CN=voms1.fnal.gov] "fermilab"
Done

Creating PrOXY ..eeiveeieeeriee ettt ettt Done

-bash-3.2$ voms-proxy-info -all

subject :/DC=gov/DC=fnal/O=Fermilab/OU=Robots/CN=novagpvm01.fnal.gov/CN=cron/CN=Joe B.
Boyd/CN=UID:boyd/CN=proxy/CN=proxy

issuer :/DC=gov/DC=fnal/O=Fermilab/OU=Robots/CN=novagpvm01.fnal.gov/CN=cron/CN=Joe B. Boyd/CN=UID:boyd/CN=proxy
identity : /DC=gov/DC=fnal/O=Fermilab/OU=Robots/CN=novagpvm01.fnal.gov/CN=cron/CN=Joe B. Boyd/CN=UID:boyd/CN=proxy
type  proxy

strength : 1024 bits

path  :/tmp/x509up_u4395

timeleft : 11:50:28

key usage : Digital Signature, Key Encipherment === VO fermilab extension information ===

VO : fermilab

subject :/DC=gov/DC=fnal/O=Fermilab/OU=Robots/CN=novagpvm01.fnal.gov/CN=cron/CN=Joe B. Boyd/CN=UID:boyd
issuer :/DC=com/DC=DigiCert-Grid/O=0pen Science Grid/OU=Services/CN=voms1.fnal.gov

attribute : /fermilab/Role=NULL/Capability=NULL

attribute : /fermilab/gm2/Role=NULL/Capability=NULL

attribute : /fermilab/grid/Role=NULL/Capability=NULL

attribute : /fermilab/lar1/Role=NULL/Capability=NULL

attribute : /fermilab/minerva/Role=NULL/Capability=NULL

attribute : /fermilab/minos/Role=NULL/Capability=NULL

attribute : /fermilab/mu2e/Role=NULL/Capability=NULL

attribute : /fermilab/nova/Role=NULL/Capability=NULL

attribute : /fermilab/nova/Role=Analysis/Capability=NULL

attribute : /fermilab/seaquest/Role=NULL/Capability=NULL

attribute : /fermilab/uboone/Role=NULL/Capability=NULL

timeleft :23:59:50

uri : voms1.fnal.gov:15001

-bash-3.2$

But when [ try to submit a job using that kcron credential it fails with:
-bash-3.2%$ jobsub_submit.py -G nova -N 1 --resource-provides=usage_model=DEDICATED,OPPORTUNISTIC --OS SL5,SL6
file://grid_probe.sh

Server response code: 200

Response ERROR:

User authorization has failed

Remote Submission Processing Time: 0.1156270504 sec

and | see this in the log:

* % * * *

[23/Jun/2014:10:28:49] JOBSUB_INI_FILE: /opt/jobsub/server/conf/jobsub.ini

[23/Jun/2014:10:28:49] JOBSUB_ENV_RUNNER: /opt/jobsub/server/webapp/jobsub_env_runner.sh
[23/Jun/2014:10:28:49] JOBSUB_APP_NAME: None

[23/Jun/2014:10:28:49] JOBSUB_VERSION: None

[23/Jun/2014:10:28:49] JOBSUB_LOG_DIR: None

[23/Jun/2014:10:28:49] JOBSUB_CREDENTIALS_DIR: /home/rexbatch/.security

[23/Jun/2014:10:28:49] KADMIN_PASSWD_FILE: /home/rexbatch/.security/kadmin_passwd
[23/Jun/2014:10:28:49] [auth.py:check_auth_wrapper] DN:
/BDC=gov/DC=fnal/O=Fermilab/OU=Robots/CN=novagpvm01.fnal.gov/CN=cron/CN=Joe B. Boyd/CN=UID:boyd, acctgroup: nova
[23/Jun/2014:10:28:49] [auth.py:create_voms_proxy] create_voms_proxy: Authenticating DN:
/DC=gov/DC=fnal/O=Fermilab/OU=Robots/CN=novagpvm01.fnal.gov/CN=cron/CN=Joe B. Boyd/CN=UID:boyd
[23/Jun/2014:10:28:49] [auth.py:check_auth_wrapper] User authorization has failed

[23/Jun/2014:10:28:49] [format.py:format_response_wrapper] Request content_type: application/json

| ran a get-cert too before trying to submit the job. |s there some reason this doesn't work? I'm trying to figure out what the
production folks can use to submit jobs in an unattended fashion.

History

#1 - 06/27/2014 03:58 PM - Parag Mhashilkar

- Assignee set to Parag Mhashilkar

#2 - 06/27/2014 03:59 PM - Parag Mhashilkar

- Assignee changed from Parag Mhashilkar to Dennis Box

#3 - 12/19/2014 12:37 PM - Parag Mhashilkar

- Status changed from New to Resolved

kron is now supported closing this ticket

#4 - 11/20/2018 12:50 PM - Dennis Box

- Status changed from Resolved to Closed
